List:Commits« Previous MessageNext Message »
From:Chad MILLER Date:January 2 2007 4:03pm
Subject:bk commit into 5.0 tree (cmiller:1.2363)
View as plain text  
Below is the list of changes that have just been committed into a local
5.0 repository of cmiller. When cmiller does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html

ChangeSet@stripped, 2007-01-02 10:02:58-05:00, cmiller@stripped +1 -0
  Set return-/exit-value based on whether we successfully dealt with the 
  PID-file.

  support-files/mysql.server.sh@stripped, 2007-01-02 10:02:57-05:00,
cmiller@stripped +8 -3
    Set return-/exit-value based on whether we successfully dealt with the 
    PID-file.

# This is a BitKeeper patch.  What follows are the unified diffs for the
# set of deltas contained in the patch.  The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User:	cmiller
# Host:	zippy.cornsilk.net
# Root:	/home/cmiller/work/mysql/bug25341/my50-bug25341

--- 1.54/support-files/mysql.server.sh	2007-01-02 10:03:02 -05:00
+++ 1.55/support-files/mysql.server.sh	2007-01-02 10:03:02 -05:00
@@ -163,8 +163,10 @@ wait_for_pid () {
 
   if test -z "$i" ; then
     log_success_msg
+    return 0
   else
     log_failure_msg
+    return 1
   fi
 }
 
@@ -277,26 +279,28 @@ case "$mode" in
       # Give extra arguments to mysqld with the my.cnf file. This script may
       # be overwritten at next upgrade.
       $manager --user=$user --pid-file=$pid_file >/dev/null 2>&1 &
-      wait_for_pid created
+      wait_for_pid created; return_value=$?
 
       # Make lock for RedHat / SuSE
       if test -w /var/lock/subsys
       then
         touch /var/lock/subsys/mysqlmanager
       fi
+      exit $return_value
     elif test -x $bindir/mysqld_safe
     then
       # Give extra arguments to mysqld with the my.cnf file. This script
       # may be overwritten at next upgrade.
       pid_file=$server_pid_file
       $bindir/mysqld_safe --datadir=$datadir --pid-file=$server_pid_file $other_args
>/dev/null 2>&1 &
-      wait_for_pid created
+      wait_for_pid created; return_value=$?
 
       # Make lock for RedHat / SuSE
       if test -w /var/lock/subsys
       then
         touch /var/lock/subsys/mysql
       fi
+      exit $return_value
     else
       log_failure_msg "Couldn't find MySQL manager or server"
     fi
@@ -322,13 +326,14 @@ case "$mode" in
       echo $echo_n "Shutting down MySQL"
       kill $mysqlmanager_pid
       # mysqlmanager should remove the pid_file when it exits, so wait for it.
-      wait_for_pid removed
+      wait_for_pid removed; return_value=$?
 
       # delete lock for RedHat / SuSE
       if test -f $lock_dir
       then
         rm -f $lock_dir
       fi
+      exit $return_value
     else
       log_failure_msg "MySQL manager or server PID file could not be found!"
     fi
Thread
bk commit into 5.0 tree (cmiller:1.2363)Chad MILLER2 Jan